#!/bin/bash
if [ "$(/bin/pidof skype)" != "" ]; then
  exit
fi

CAM_MANUAL=0

if [ -a /proc/acpi/asus/camera ] && [ "$(< /proc/acpi/asus/camera)" == "0" ]; then
  # Check if we have a camera and enable it if it is not powered up.
  CAM_MANUAL=1
  echo 1 >/proc/acpi/asus/camera
  sleep 4
fi

if [ "$LANG" == "sk_SK.UTF-8" ]; then
  LANG=cs_CZ.UTF-8
fi

if [ "$LANG" == "zh_HK.UTF-8" ]; then
  LANG=zh_TW.UTF-8
fi

/usr/bin/skype --disable-updates
#singleskype

if [ "$CAM_MANUAL" == "1" ]; then
  # Power down the camera if we powered it up before running Skype.
  echo 0 >/proc/acpi/asus/camera
fi

